Index: apps/app_followme.c
===================================================================
--- apps/app_followme.c	(revision 87397)
+++ apps/app_followme.c	(working copy)
@@ -916,6 +916,7 @@
 	struct ast_module_user *u;
 	char *argstr;
 	char namerecloc[255];
+	char *fname = NULL;
 	int duration = 0;
 	struct ast_channel *caller;
 	struct ast_channel *outbound;
@@ -1011,10 +1012,6 @@
 			free(nm);
 		}
 		AST_LIST_TRAVERSE_SAFE_END
-	
-		if (!ast_strlen_zero(namerecloc))
-			unlink(namerecloc);	
-
 		if (targs.status != 100) {
 			ast_moh_stop(chan);
 			if (ast_test_flag(&targs.followmeflags, FOLLOWMEFLAG_UNREACHABLEMSG)) 
@@ -1053,6 +1050,12 @@
 		}
 	}
 	outrun:
+
+	if (!ast_strlen_zero(namerecloc)){
+		fname = alloca(strlen(namerecloc) + 5);
+		sprintf(fname, "%s.sln", namerecloc);
+		unlink(fname);
+	}
 	
 	ast_module_user_remove(u);
 
